publish master branch snapshot, revision 49482ae3bea0cbaa07474f86f36db11943142687

This commit is contained in:
Alexey Suhov
2020-05-13 21:12:22 +03:00
parent 9d6501e9a6
commit 5b428f0655
924 changed files with 30841 additions and 8905 deletions

View File

@@ -0,0 +1,31 @@
@echo off
:: Copyright (C) 2018-2020 Intel Corporation
:: SPDX-License-Identifier: Apache-2.0
pushd ..\..
if not exist "vs2017x64" (
mkdir "vs2017x64"
)
cmake -E chdir "vs2017x64" cmake -G "Visual Studio 15 2017 Win64" -T "Intel C++ Compiler 18.0" -DOS_FOLDER=ON ^
-DENABLE_MYRIAD=OFF -DENABLE_VPU=OFF -DENABLE_GNA=ON -DENABLE_CLDNN=OFF ^
-DENABLE_OPENCV=ON -DENABLE_MKL_DNN=ON ^
-DVERBOSE_BUILD=ON -DENABLE_TESTS=ON -DTHREADING=TBB ..
chdir
cd "vs2017x64\thirdparty\"
"C:\Program Files (x86)\Common Files\Intel\shared files\ia32\Bin\ICProjConvert180.exe" mkldnn.vcxproj /IC
chdir
cd "..\src\mkldnn_plugin"
"C:\Program Files (x86)\Common Files\Intel\shared files\ia32\Bin\ICProjConvert180.exe" MKLDNNPlugin.vcxproj /IC
"C:\Program Files (x86)\Common Files\Intel\shared files\ia32\Bin\ICProjConvert180.exe" test_MKLDNNPlugin.vcxproj /IC
chdir
cd "..\..\tests\unit"
"C:\Program Files (x86)\Common Files\Intel\shared files\ia32\Bin\ICProjConvert180.exe" InferenceEngineUnitTests.vcxproj /IC
popd
pause

View File

@@ -1,4 +1,6 @@
#!/bin/bash
# Copyright (C) 2018-2020 Intel Corporation
# SPDX-License-Identifier: Apache-2.0
CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
command -v realpath >/dev/null 2>&1 || { echo >&2 "cpplint require realpath executable but it's not installed. Aborting."; exit 1; }

View File

@@ -0,0 +1,87 @@
#!/bin/bash
# Copyright (C) 2018-2020 Intel Corporation
# SPDX-License-Identifier: Apache-2.0
APP_NAME="MyriadFunctionalTests"
APPS_TO_RUN=$1
APPS_TO_RUN=${APPS_TO_RUN:=4}
echo "Run in parallel ${APPS_TO_RUN} applications"
TEST_DIR=../../bin/intel64
# Path to test dir is provided
if [[ -n "$2" ]]; then
TEST_DIR=$2
# Search for test dir with binaries
else
# Windows default
if [[ -f "${TEST_DIR}/${APP_NAME}" ]]; then
TEST_DIR=${TEST_DIR}
# Search for Release or Debug config
elif [[ -f "${TEST_DIR}/Release/${APP_NAME}" ]]; then
TEST_DIR="$TEST_DIR/Release/"
elif [[ -f "${TEST_DIR}/Debug/${APP_NAME}" ]]; then
TEST_DIR="$TEST_DIR/Debug/"
else
echo "Directory with binaries not found!"
exit -1
fi
fi
echo "Test directory: ${TEST_DIR}"
cd ${TEST_DIR}
export IE_VPU_MYRIADX=1
pids=""
if [[ "${APPS_TO_RUN}" -ge 1 ]] ; then
./${APP_NAME} --gtest_filter=*VPURegTest*SSD*myriad* &
pids+=" $!"
fi
if [[ "${APPS_TO_RUN}" -ge 2 ]] ; then
./${APP_NAME} --gtest_filter=*VPURegTest*VGG*myriad* &
pids+=" $!"
fi
if [[ "${APPS_TO_RUN}" -ge 3 ]] ; then
./${APP_NAME} --gtest_filter=*VPURegTest*VGG*myriad* &
pids+=" $!"
fi
if [[ "${APPS_TO_RUN}" -ge 4 ]] ; then
# For more then 4 multidevice testing
for (( VAR = 4; VAR <= ${APPS_TO_RUN}; ++VAR )); do
./${APP_NAME} --gtest_filter=*VPURegTest*YOLO*myriad* &
pids+=" $!"
done
fi
# Wait for all processes to finish
sts=""
for p in ${pids}; do
if wait ${p}; then
sts+=" 1"
else
sts+=" 0"
fi
echo "--- Process $p finished"
done
idx=0
exit_code=0
for s in ${sts}; do
if [[ ${s} -eq 1 ]]; then
echo "Task $idx PASSED"
else
echo "Task $idx FAILED"
exit_code=1
fi
((idx+=1))
done
exit ${exit_code}